#!/bin/bash

# The purpose of this script is to automaticaly upload scanned documents to a remote dropbox.
# This script is not to be run as root, rather as the user responsible for scanning.

# Only run if the user is not root
if [[ $USER = 'root' ]] ; then
  echo "You must not run this script as root!"
  exit 1
fi

# Set parameters
scan_directory='/scan'
remote_path='https://cloud.kto.black/remote.php/webdav/Scans'
remote_user='scan'
remote_passwd='rB2TgFpNXk3BbZ44'
subdirectories_prefix='scans'

today=$(date +"%Y%m%d")

# The script is executed a bit too early, so we need to wait a few seconds.
sleep 5s

for filename in $scan_directory/*; do
  #echo "Creating today's directory..." # I'd like to remove these 2 lines
  #curl -s -u $remote_user:$remote_passwd -X MKCOL $remote_path/$subdirectories_prefix-$today
  echo "Uploading $filename..."
  curl -s -u $remote_user:$remote_passwd -T "$filename" $remote_path/$subdirectories_prefix-$today/
  rm "$filename"
done

echo "Upload done."
exit 0
